Foreman - Feature #2247

Add setting to disable gravatar
02/23/2013 05:16 AM - Vincent Janelle

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Web Interface

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| don't want my internal services making request out to gravatar, would it be possible to add a setting that disables this?

Related issues:
Related to Foreman - Feature #10959: Disable gravatar by default Closed 06/30/2015

Associated revisions

Revision d0a190b8 - 04/22/2013 02:13 AM - Bryan Kearney

fixes #2247 Provides an option to disable the use of gravatara

A new setting is added, use_gravatar. It defaults to true. If it is set to false, then the gravatar
call out is not used and only the default user icon is used.

History

#1 - 04/18/2013 04:09 PM - Bryan Kearney

https://github.com/theforeman/foreman/pull/534

#2 - 04/22/2013 08:26 AM - Bryan Kearney
This PR has been merged.

#3 - 04/22/2013 08:30 AM - Ohad Levy
- Status changed from New to Closed

- Target version set to 1.2.0

fixed at d0a190b

#4 - 07/01/2015 03:21 AM - Ohad Levy
- Related to Feature #10959: Disable gravatar by default added
